Summary: GNU g++ library
Name: libg++
Version: 2.7.2.8
Release: 1
Copyright: LGPL
Group: Libraries
Source: sunsite.unc.edu:/pub/Linux/GCC/libg++-%PACKAGE_VERSION.tar.gz
BuildRoot: /tmp/libg++-build
Requires: gcc >= 2.7.2

%description
This is the GNU implementation of the standard C++ libraries, along
with additional GNU tools.
This package includes the shared libraries necessary to run C++
applications.

%package devel
Summary: Header files and libraries for C++ development
Group: Development/Libraries
%description devel
This is the GNU implementation of the standard C++ libraries, along with
additional GNU tools.  The GNU C++ library, libg++ is an attempt to
provide a variety of C++ programming tools and other support to GNU C++
programmers. This package includes the header files and libraries needed
for C++ development. 

%prep
%setup

%build

./configure --prefix=/usr --with-shared --enable-shared
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr install

(cd libg++ ; make prefix=$RPM_BUILD_ROOT/usr install-info)
(cd libio ; make prefix=$RPM_BUILD_ROOT/usr install-info)
gzip -9nf $RPM_BUILD_ROOT/usr/info/gperf.info*
gzip -9nf $RPM_BUILD_ROOT/usr/info/libg++.info*
gzip -9nf $RPM_BUILD_ROOT/usr/info/iostream.info*

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/lib/libstdc++.so.27
/usr/lib/libstdc++.so.27.2.8
/usr/lib/libg++.so.27
/usr/lib/libg++.so.27.2.8

%files devel
/usr/include/g++
/usr/lib/libstdc++.a
/usr/lib/libg++.a
/usr/bin/genclass
/usr/bin/gperf
/usr/man/man1/gperf.1
/usr/info/gperf.info*
/usr/info/libg++.info*
/usr/info/iostream.info*
/usr/lib/libg++.so
/usr/lib/libstdc++.so

# Local variables:
# compile-command: "rpm -ba --short-circuit libg++-2.7.2.spec"
# End
